Bug 1088475 - Don't install hidden files into /usr/bin
Summary: Don't install hidden files into /usr/bin
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: VirtualGL
Version: 20
Hardware: All
OS: Unspecified
medium
low
Target Milestone: ---
Assignee: Gary Gatling
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2014-04-16 17:09 UTC by Orion Poplawski
Modified: 2014-05-08 10:10 UTC (History)
1 user (show)

Fixed In Version: VirtualGL-2.3.3-3.fc20
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2014-05-08 10:07:22 UTC
Type: Bug


Attachments (Terms of Use)

Description Orion Poplawski 2014-04-16 17:09:53 UTC
Description of problem:

Don't install hidden files into /usr/bin.

Version-Release number of selected component (if applicable):
VirtualGL-2.3.3-2.fc20.x86_64

Comment 1 Gary Gatling 2014-04-16 20:49:07 UTC
Hello.

So the author made it so that it looks for 

# This is so we can launch both 32-bit and 64-bit executables using the same
# script.
if [ -x "$MYPATH/.vglrun.vars64" ]; then
        . "$MYPATH/.vglrun.vars64"
fi
if [ -x "$MYPATH/.vglrun.vars32" ]; then
        . "$MYPATH/.vglrun.vars32"
fi


Do you think we should patch it so that it just looks for 

"vglrun.vars64" or "vglrun.vars32" without a "dot" in front of it?

And then rename that script in the spec file? Let me know what you think.

Cheers,

Comment 2 Orion Poplawski 2014-04-18 18:34:59 UTC
Install it in /usr/libexec/vglrun.vars*.

Comment 3 Orion Poplawski 2014-04-28 15:52:13 UTC
Triggers rkhunter warnings:

---------------------- Start Rootkit Hunter Scan ----------------------
Warning: Hidden file found: /usr/bin/.vglrun.vars64: ASCII text

----------------------- End Rootkit Hunter Scan -----------------------

Comment 4 Gary Gatling 2014-04-28 16:46:00 UTC
Hi. I tested a fixed up package yesterday and it seems to work just fine with client -> server and also optimus laptop. So should be pushing something soon.

Comment 5 Gary Gatling 2014-04-28 20:32:50 UTC
Hello,

So it seems koji did not like my solution...

I did:

# fix for bz1088475
mkdir $RPM_BUILD_ROOT%{_libexecdir}
%if %{__isa_bits} == 64
mv $RPM_BUILD_ROOT%{_bindir}/.vglrun.vars64 $RPM_BUILD_ROOT%{_libexecdir}/vglrun.vars64
%else
mv $RPM_BUILD_ROOT%{_bindir}/.vglrun.vars32 $RPM_BUILD_ROOT%{_libexecdir}/vglrun.vars32
%endif

But the build log has

error: /builddir/build/SPECS/VirtualGL.spec:102: bad %if condition

So how do you think I can tell if its 32 or 64 bit rpm package if %{__isa_bits} is not something we can use in the %install section? I used that because Dan Horák used that in the %files section to add support for arm platform.

Sorry for the trouble and thanks for any ideas you may have.

Comment 6 Orion Poplawski 2014-04-28 21:01:03 UTC
I checked in a fix and am testing out a build.

http://koji.fedoraproject.org/koji/taskinfo?taskID=6792063

Comment 7 Fedora Update System 2014-04-28 21:38:57 UTC
VirtualGL-2.3.3-3.fc20 has been submitted as an update for Fedora 20.
https://admin.fedoraproject.org/updates/VirtualGL-2.3.3-3.fc20

Comment 8 Fedora Update System 2014-04-28 21:46:13 UTC
VirtualGL-2.3.3-3.fc19 has been submitted as an update for Fedora 19.
https://admin.fedoraproject.org/updates/VirtualGL-2.3.3-3.fc19

Comment 9 Fedora Update System 2014-04-30 04:04:47 UTC
Package VirtualGL-2.3.3-3.fc19:
* should fix your issue,
* was pushed to the Fedora 19 testing repository,
* should be available at your local mirror within two days.
Update it with:
# su -c 'yum update --enablerepo=updates-testing VirtualGL-2.3.3-3.fc19'
as soon as you are able to.
Please go to the following url:
https://admin.fedoraproject.org/updates/FEDORA-2014-5780/VirtualGL-2.3.3-3.fc19
then log in and leave karma (feedback).

Comment 10 Gary Gatling 2014-05-07 10:32:14 UTC
Thanks for the fix in the spec file Orion. Should be updating in stable soon.

Comment 11 Fedora Update System 2014-05-08 10:07:22 UTC
VirtualGL-2.3.3-3.fc19 has been pushed to the Fedora 19 stable repository.  If problems still persist, please make note of it in this bug report.

Comment 12 Fedora Update System 2014-05-08 10:10:29 UTC
VirtualGL-2.3.3-3.fc20 has been pushed to the Fedora 20 stable repository.  If problems still persist, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.